E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | List of all members
GNet::Address4 Class Reference

A 'sockaddr' wrapper class for IPv4 addresses. More...

`#include <gaddress4.h>`

## Classes
union | union_type
| Used by GNet::Address4 to cast between sockaddr and sockaddr_in. More...

## Public Types
typedef sockaddr | general_type
typedef sockaddr_in | specific_type
typedef sockaddr | storage_type

## Public Member Functions
| Address4 (unsigned int)
| Address4 (const std::string &)
| Address4 (const std::string &, const std::string &)
| Address4 (const std::string &, unsigned int)
| Address4 (unsigned int port, int)
| Address4 (const sockaddr *addr, socklen_t len)
| Address4 (const Address4 &other)
const sockaddr * | address () const
sockaddr * | address ()
unsigned int | port () const
void | setPort (unsigned int port)
bool | same (const Address4 &other) const
bool | sameHostPart (const Address4 &other) const
bool | isLoopback () const
bool | isLocal (std::string &) const
std::string | displayString () const
std::string | hostPartString () const
G::StringArray | wildcards () const

## Static Public Member Functions
static int | domain ()
static unsigned short | family ()
static socklen_t | length ()
static bool | validString (const std::string &, std::string *=nullptr)
static bool | validStrings (const std::string &, const std::string &, std::string *=nullptr)
static bool | validPort (unsigned int port)
static bool | validData (const sockaddr *addr, socklen_t len)
static bool | format (std::string)

## Detailed Description

A 'sockaddr' wrapper class for IPv4 addresses.

Definition at line 37 of file gaddress4.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gaddress4.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gaddress4.cpp